# references
 - https://www.circuitschools.com/interfacing-16x2-lcd-module-with-raspberry-pi-pico-with-and-without-i2c/
 - Interrupts [ref](https://docs.micropython.org/en/latest/library/machine.Pin.html#machine.Pin.irq) \
Pin.irq(handler=None, trigger=Pin.IRQ_FALLING | Pin.IRQ_RISING, *, priority=1, wake=None, hard=False)
```  python
SW3 = Pin(("GPIO_0", 4), Pin.IN)
SW3.irq(lambda t: print("SW3 changed"))
```
  - [Using flash memory as non-volatile storage on the Pi Pico microcontroller](https://kevinboone.me/picoflash.html?i=2)
  - https://pypi.org/project/littlefs-python/
  - [buzzer reference](https://www.tomshardware.com/how-to/buzzer-music-raspberry-pi-pico)
  - [esp32 EEPROM read/write cycle](https://stackoverflow.com/questions/59817278/esp32-eeprom-read-write-cycle) stack overflow article
  \ Summary: \ 
     - ESP32 doesn’t have an actual EEPROM; instead it uses some of its flash storage to mimic an EEPROM
     - ESP32 flash goes close to 10,000 cycles
     - even automotive grade EEPROM like the 24LC001 which supports at least 1,000,000 writes will only last about 2 months
     - EERAM which supports infinite writes and will not loose contents on power loss (microchip 47C04)
  - [upy eeprom t24Cxx family driver lib](https://github.com/dda/MicroPython/blob/master/EEPROM.py)
    - [viu for R$2,90](https://www.autocorerobotica.com.br/at24c02-ci-memoria-eeprom)
  - sd card module
    - R$4 in [ali](https://pt.aliexpress.com/item/1005003664036461.html)
    - R$30 in [mercado livre](https://produto.mercadolivre.com.br/MLB-2725721573-modulo-para-carto-micro-sd-automaco-leitor-gravador-spi-_JM)


    