from machine import Pin, I2C
from pico_i2c_lcd import I2cLcd
import constants


class Display:
    __i2c = I2C(
        0, 
        sda=Pin(constants.LCD_SDA), 
        scl=Pin(constants.LCD_SCL), 
        freq=100000
    )
    __I2C_ADDR = __i2c.scan()[0]
    lcd = I2cLcd(__i2c, __I2C_ADDR, 2, 16)

    @staticmethod
    def print_pressure(pressure: float):
        str_pressure = "{:.3f}".format(pressure)
        Display.lcd.putstr('Preassure: ' + str_pressure)
        
    @staticmethod
    def print_frequency(frequency: float):
        str_frequency = "{:.3f}".format(frequency)
        Display.lcd.puts('Frequency: ' + str_frequency)

    @staticmethod
    def print(content: str):
        Display.lcd.putstr(content)

    @staticmethod
    def clear():
        Display.lcd.clear()
