import json
from machine import Timer
import parameters 


class __CONSTANTS:
    PREVIOUS_PRESSURE = 'previous_pressure'
    STORAGE_FILE_PATH = 'storage.json'


class Storage:

    __should_store = False

    @staticmethod
    def enable_store_in_next_call():
        Storage.__should_store = True

    @staticmethod
    def start_storage():
        def timer_call_back():
            Storage.enable_store_in_next_call()
        tim = Timer()
        tim.init(mode=Timer.PERIODIC, period=parameters.PRESSURE_STORE_PREIOD, callback=timer_call_back)


    @staticmethod
    def save_pressure(pressure: float):
        if not Storage.__should_store:
            return
        content = {
            __CONSTANTS.PREVIOUS_PRESSURE: pressure,
        }
        with open(__CONSTANTS.STORAGE_FILE_PATH, 'w') as f:
          json.dump(content, f)

    @staticmethod
    def retrieve_pressure() -> float:
        pressure = None
        with open(__CONSTANTS.STORAGE_FILE_PATH, 'r') as f:
          content = json.load(f)
          pressure = content[__CONSTANTS.PREVIOUS_PRESSURE]
        return pressure
